# $Revision: 1.28 $, $Date: 2009/03/14 00:08:40 $

%define		module	Pyrex

Summary:	Language for writing Python Extension Modules
Summary(pl.UTF-8):	Język służący do pisania modułów rozszerzających Pythona
Name:		python-%{module}
Version:	0.9.8.5
Release:	2
License:	free
Group:		Libraries/Python
Source0:	http://www.cosc.canterbury.ac.nz/~greg/python/Pyrex/%{module}-%{version}.tar.gz
# Source0-md5:	3b3d8397c2c9a58fc59a90e2b49c651a
URL:		http://www.cosc.canterbury.ac.nz/~greg/python/Pyrex/
BuildRequires:	python >= 1:2.5
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
%pyrequires_eq	python-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautocompressdoc	*.c

%description
Pyrex lets you write code that mixes Python and C data types any way
you want, and compiles it into a C extension for Python.

%description -l pl.UTF-8
Pyrex pozwala pisać kod zawierający dane Pythona i języka C połączone
w jakikolwiek sposób i kompiluje to jako rozszerzenie C dla Pythona.

%package examples
Summary:	Examples for Pyrex language
Summary(pl.UTF-8):	Przykłady programów w języku Pyrex
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example programs for Pyrex language.

%description examples -l pl.UTF-8
Pakiet zawierający przykładowe programy napisane w języku Pyrex.

%prep
%setup -q -n %{module}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT \
	--install-purelib=%{py_sitescriptdir} \
	-O2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name "*.py" -a ! -name 'Lexicon.py' -exec rm -f {} \;

cp -a Demos/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt README.txt ToDo.txt USAGE.txt Doc/*.html Doc/*.c
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/Pyrex
%{py_sitescriptdir}/Pyrex-*.egg-info

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-Pyrex.spec,v $
Revision 1.28  2009/03/14 00:08:40  hawk
- release 2

Revision 1.27  2008/10/05 08:41:15  arekm
- up to 0.9.8.5

Revision 1.26  2008/10/03 17:59:14  arekm
- release 2

Revision 1.25  2008-01-04 21:38:45  twittner
- up to 0.9.6.4

Revision 1.24  2007-04-27 22:47:20  qboosh
- updated to 0.9.5.1a

Revision 1.23  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.21  2006/12/05 16:02:13  patrys
- long story short:
- pyrex 0.9.4.1 does not work with python-2.5 (exceptions broken)
- python-dbus does not work (using session bus is not possible)
- this is the current SVN snapshot (2.5-compatible)
- someone needs to rebuild this pkg (I'm firewalled at work)
- we need to rebuild dbus bindings against this pyrex version
- possibly other packages too

Revision 1.20  2006/09/27 20:22:05  wrobell
- rel. 5 to rebuild with python 2.5 (final)

Revision 1.19  2006/09/02 20:34:47  glen
- cp -a implies cp -r

Revision 1.18  2006/08/27 13:21:54  havner
- rebuild with 2.5
- rel 4

Revision 1.17  2006/07/04 05:49:29  matkor
- Release 3. Added missing R/BR.

Revision 1.16  2006/05/13 14:06:12  matkor
- Version 0.9.4.1-2. STBR for Ac.

Revision 1.15  2006/04/17 14:58:16  matkor
- Updated to version 0.9.4-1. STBR for Ac.

Revision 1.14  2005/09/22 20:50:36  qboosh
- removed obsolete patches

Revision 1.13  2005/09/17 07:32:20  matkor
- Version 0.9.3-0.9. Patches seems to be included. I do not have gcc4 to test it. Pls test and if works bump releas to 1.

Revision 1.12  2005/05/11 00:34:01  pluto
- cosmetics.

Revision 1.11  2005/04/29 10:05:44  qrczak
- Now generates code accepted by gcc4.
- Release 6.

Revision 1.10  2005/04/23 20:54:08  arekm
- rel 5

Revision 1.9  2005/02/24 16:02:44  matkor
- Release 4. swig_sources(...) args fix for Python 2.4. STBR for Ac.

Revision 1.8  2004/12/23 21:39:36  saq
- missing {build,}requires
- release 3

Revision 1.7  2004/07/11 16:47:16  zboczuch
- examples added (into new -examples subpackage)
- cleanups
- rel. 2

Revision 1.6  2004/07/11 16:39:00  zboczuch
- version 0.9.3, file CHANGES.txt included

Revision 1.5  2004/05/18 17:43:54  qboosh
- License is not GPL (free of restrictions etc., see README.txt); cosmetics

Revision 1.4  2004/05/18 12:29:56  grzegol
- updated to 0.9.2.1

Revision 1.3  2004/03/26 15:10:13  grzegol
- added Lexicon.py file (included in runtime)
- rel. 2

Revision 1.2  2004/01/31 19:58:22  grzegol
- removed patch - not needed

Revision 1.1  2004/01/31 19:55:33  grzegol
- new
